import { Entity } from "@webiny/db-dynamodb/toolbox";
import { IRegistryItem } from "@webiny/db";
import { EntityType } from "./getElasticsearchEntityType";
import { Context } from "../../../types";
export interface IGetElasticsearchEntityParams {
    type: EntityType | unknown;
    context: Pick<Context, "db">;
}
export declare const getElasticsearchEntity: (params: IGetElasticsearchEntityParams) => IRegistryItem<Entity<string, import("dynamodb-toolbox/dist/cjs/classes/Entity").Overlay, import("dynamodb-toolbox/dist/cjs/classes/Entity").Overlay, import("@webiny/db-dynamodb/toolbox").TableDef | undefined, boolean, boolean, boolean, string, string, string, boolean, {
    readonly [x: string]: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey: true;
        readonly sortKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly sortKey: true;
        readonly partitionKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey: string;
        readonly sortKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey?: false | undefined;
        readonly sortKey: string;
    } | {
        readonly partitionKey?: false | undefined;
        readonly sortKey?: false | undefined;
        readonly type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        readonly default?: any;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: {}) => any) | undefined;
        readonly format?: ((value: any, data: {}) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: boolean | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly hidden?: boolean | undefined;
        readonly required?: boolean | "always" | undefined;
        readonly alias?: string | undefined;
        readonly map?: string | undefined;
        readonly setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
    } | readonly [string, number] | readonly [string, number, import("@webiny/db-dynamodb/toolbox").DynamoDBTypes] | readonly [string, number, {
        readonly partitionKey?: false | undefined;
        readonly sortKey?: false | undefined;
        readonly type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        readonly default?: any;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: {}) => any) | undefined;
        readonly format?: ((value: any, data: {}) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: boolean | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly hidden?: boolean | undefined;
        readonly required?: boolean | "always" | undefined;
        readonly alias?: string | undefined;
        readonly map?: string | undefined;
        readonly setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
    }];
    readonly [x: number]: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey: true;
        readonly sortKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly sortKey: true;
        readonly partitionKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey: string;
        readonly sortKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey?: false | undefined;
        readonly sortKey: string;
    } | {
        readonly partitionKey?: false | undefined;
        readonly sortKey?: false | undefined;
        readonly type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        readonly default?: any;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: {}) => any) | undefined;
        readonly format?: ((value: any, data: {}) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: boolean | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly hidden?: boolean | undefined;
        readonly required?: boolean | "always" | undefined;
        readonly alias?: string | undefined;
        readonly map?: string | undefined;
        readonly setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
    } | readonly [string, number] | readonly [string, number, import("@webiny/db-dynamodb/toolbox").DynamoDBTypes] | readonly [string, number, {
        readonly partitionKey?: false | undefined;
        readonly sortKey?: false | undefined;
        readonly type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        readonly default?: any;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: {}) => any) | undefined;
        readonly format?: ((value: any, data: {}) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: boolean | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly hidden?: boolean | undefined;
        readonly required?: boolean | "always" | undefined;
        readonly alias?: string | undefined;
        readonly map?: string | undefined;
        readonly setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
    }];
    readonly [x: symbol]: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey: true;
        readonly sortKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly sortKey: true;
        readonly partitionKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey: string;
        readonly sortKey?: false | undefined;
    } | {
        readonly type?: "string" | "number" | "bigint" | "binary" | undefined;
        readonly default?: any;
        readonly hidden?: boolean | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: any) => any) | undefined;
        readonly format?: ((value: any, data: any) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: undefined;
        readonly required?: undefined;
        readonly alias?: undefined;
        readonly map?: undefined;
        readonly setType?: undefined;
        readonly partitionKey?: false | undefined;
        readonly sortKey: string;
    } | {
        readonly partitionKey?: false | undefined;
        readonly sortKey?: false | undefined;
        readonly type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        readonly default?: any;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: {}) => any) | undefined;
        readonly format?: ((value: any, data: {}) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: boolean | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly hidden?: boolean | undefined;
        readonly required?: boolean | "always" | undefined;
        readonly alias?: string | undefined;
        readonly map?: string | undefined;
        readonly setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
    } | readonly [string, number] | readonly [string, number, import("@webiny/db-dynamodb/toolbox").DynamoDBTypes] | readonly [string, number, {
        readonly partitionKey?: false | undefined;
        readonly sortKey?: false | undefined;
        readonly type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        readonly default?: any;
        readonly dependsOn?: string | readonly string[] | undefined;
        readonly transform?: ((value: any, data: {}) => any) | undefined;
        readonly format?: ((value: any, data: {}) => any) | undefined;
        readonly coerce?: boolean | undefined;
        readonly save?: boolean | undefined;
        readonly onUpdate?: boolean | undefined;
        readonly hidden?: boolean | undefined;
        readonly required?: boolean | "always" | undefined;
        readonly alias?: string | undefined;
        readonly map?: string | undefined;
        readonly setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        readonly delimiter?: string | undefined;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
    }];
}, {
    [x: string]: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | [string, number] | [string, number, import("@webiny/db-dynamodb/toolbox").DynamoDBTypes] | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey: true;
        sortKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        sortKey: true;
        partitionKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey: string;
        sortKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey?: false | undefined;
        sortKey: string;
    } | {
        partitionKey?: false | undefined;
        sortKey?: false | undefined;
        type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        default?: any;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: {}) => any) | undefined;
        format?: ((value: any, data: {}) => any) | undefined;
        coerce?: boolean | undefined;
        save?: boolean | undefined;
        onUpdate?: boolean | undefined;
        hidden?: boolean | undefined;
        required?: boolean | "always" | undefined;
        alias?: string | undefined;
        map?: string | undefined;
        setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
    } | [string, number, {
        partitionKey?: false | undefined;
        sortKey?: false | undefined;
        type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        default?: any;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: {}) => any) | undefined;
        format?: ((value: any, data: {}) => any) | undefined;
        coerce?: boolean | undefined;
        save?: boolean | undefined;
        onUpdate?: boolean | undefined;
        hidden?: boolean | undefined;
        required?: boolean | "always" | undefined;
        alias?: string | undefined;
        map?: string | undefined;
        setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
    }];
    [x: number]: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | [string, number] | [string, number, import("@webiny/db-dynamodb/toolbox").DynamoDBTypes] | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey: true;
        sortKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        sortKey: true;
        partitionKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey: string;
        sortKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey?: false | undefined;
        sortKey: string;
    } | {
        partitionKey?: false | undefined;
        sortKey?: false | undefined;
        type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        default?: any;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: {}) => any) | undefined;
        format?: ((value: any, data: {}) => any) | undefined;
        coerce?: boolean | undefined;
        save?: boolean | undefined;
        onUpdate?: boolean | undefined;
        hidden?: boolean | undefined;
        required?: boolean | "always" | undefined;
        alias?: string | undefined;
        map?: string | undefined;
        setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
    } | [string, number, {
        partitionKey?: false | undefined;
        sortKey?: false | undefined;
        type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        default?: any;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: {}) => any) | undefined;
        format?: ((value: any, data: {}) => any) | undefined;
        coerce?: boolean | undefined;
        save?: boolean | undefined;
        onUpdate?: boolean | undefined;
        hidden?: boolean | undefined;
        required?: boolean | "always" | undefined;
        alias?: string | undefined;
        map?: string | undefined;
        setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
    }];
    [x: symbol]: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | [string, number] | [string, number, import("@webiny/db-dynamodb/toolbox").DynamoDBTypes] | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey: true;
        sortKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        sortKey: true;
        partitionKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey: string;
        sortKey?: false | undefined;
    } | {
        type?: "string" | "number" | "bigint" | "binary" | undefined;
        default?: any;
        hidden?: boolean | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
        onUpdate?: boolean | undefined;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: any) => any) | undefined;
        format?: ((value: any, data: any) => any) | undefined;
        coerce?: boolean | undefined;
        save?: undefined;
        required?: undefined;
        alias?: undefined;
        map?: undefined;
        setType?: undefined;
        partitionKey?: false | undefined;
        sortKey: string;
    } | {
        partitionKey?: false | undefined;
        sortKey?: false | undefined;
        type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        default?: any;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: {}) => any) | undefined;
        format?: ((value: any, data: {}) => any) | undefined;
        coerce?: boolean | undefined;
        save?: boolean | undefined;
        onUpdate?: boolean | undefined;
        hidden?: boolean | undefined;
        required?: boolean | "always" | undefined;
        alias?: string | undefined;
        map?: string | undefined;
        setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
    } | [string, number, {
        partitionKey?: false | undefined;
        sortKey?: false | undefined;
        type?: import("@webiny/db-dynamodb/toolbox").DynamoDBTypes | undefined;
        default?: any;
        dependsOn?: string | string[] | undefined;
        transform?: ((value: any, data: {}) => any) | undefined;
        format?: ((value: any, data: {}) => any) | undefined;
        coerce?: boolean | undefined;
        save?: boolean | undefined;
        onUpdate?: boolean | undefined;
        hidden?: boolean | undefined;
        required?: boolean | "always" | undefined;
        alias?: string | undefined;
        map?: string | undefined;
        setType?: import("dynamodb-toolbox/dist/cjs/classes/Table").DynamoDBKeyTypes | undefined;
        delimiter?: string | undefined;
        prefix?: string | undefined;
        suffix?: string | undefined;
    }];
}, import("dynamodb-toolbox/dist/cjs/classes/Entity").ParsedAttributes<import("ts-toolbelt/out/Any/Key").Key>, any, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
}, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
}>>;
export interface IListElasticsearchEntitiesParams {
    context: Pick<Context, "db">;
}
export declare const listElasticsearchEntities: (params: IListElasticsearchEntitiesParams) => IRegistryItem<Entity>[];
